ZIPBACK - A backup utility for owners of more than one hard drive, or
          a hard drive and SyQuest drive. Can be used over the network.
          NOT suitable for HD to floppy backup! Provides data compression
          using InfoZip Zip and UnZip by Jonathan Hudson. (Not included)


USER INSTRUCTIONS
    This program (ZipBack) is fully pointer driven and makes extensive
use of the MENU Extensions (by Jochen Mertz) and InfoZip (ported by Jonathan
Hudson). It is written using the QPTR toolkit and is Qliberator compiled.
    Start the program with EX 'DEVn_Zipback_V1.00_obj' after configuring with
config or menu-config.
    Most actions are reasonably obvious (I hope!). The 'FULL', 'FRESHEN',
'RESTORE', 'QUIT' and 'TEST' buttons are for, full (new) backup, updating
(existing) backup, restoring files, quitting and testing archives respectively.
The only unusual feature is the 'WINDOW MOVE' icon. A 'HIT' on this will toggle
between normal screen output and output to a log file.
    ZipBack will indicate output to file by showing the window move icon as
'selected' (Green background) and printing 'Output diverted to file' in
the main window. Background operation, is still not realy possible though due
to the intensive disk I/O and the repeated EXing of the InfoZip executables.
Diverting the output to file will provide a much more detailed record of
InfoZip activity. A 'DO' on the window move icon allows a normal move.
    When a command completes an 'All Done' message is displayed for about
16 seconds and an optional series of beeps is produced. At this point
'Completed' is printed to the log file, so if your QL crashes when you're not
around, you can still check whether or not ZipBack had finished first.
You can press any key to end the delay and beeping before the 16 seconds is up,
you are then returned to the opening screen.
Backup files are made on a per subdirectory basis, ie there is one backup zip
for every subdirectory from the one you backup down the directory tree to the
end.

CONFIGURABLE OPTIONS
        ZipBack can be configured with either Config or MenuConfig, the usual
pointer program configurators from Qjump.

    Options are -
        InfoZip Zip filename   -  The full path_filename for Zip please.
        InfoZip UnZip filename -  As above for UnZip.
        Additional device name -  For those of you with extra/different device
                                 names. Eg. Sub, Fdk. Anything put in here will
                                 overwrite a built in device name with the same
                                 initial letter. Eg. Fdk would overwrite Flp.
        Log filename           -  Filename for diverted screen output. Please
                                 put a valid filename in even if you don't
                                 intend to use this option, as ZipBack records
                                 some information here anyway.
        Ram Copy               - Y/N field. If yes will copy the infozip
                                 executables to Ram1_ZB_ on startup for faster
                                 operation.
        File Divert            - Default destination for (Un)Zip output,
                                 screen (N) or logfile (Y).
        Beep Length            - How long the BEEP on completion of a command
                                 will last. (BEEP terminates after 16 Seconds
                                 or a keypress in any case.) 1 = too short to
                                 hear, 32767 = almost continuous but 0 is
                                 continuous. So use 1 if you want peace and
                                 quiet!


DISCLAIMER
        ZipBack has been well tested both on a machine with 2 hard drives
 and on a system of several networked QLs with one hard drive each. It has
 been run successfully under both Minerva and SMSQE. Every effort has been made
 to ensure nothing which may damage your files when running ZipBack will occur.
 However no liability can be accepted for lost or damaged data.

WARNING
+++++++  Please be aware that at least one early version of InfoZip Zip had a
        bug which will cause ZipBack to fail on empty (sub)directories.
        More recent versions are OK. The known BUGGED version of InfoZip Zip
        has a filelength of 87426. The latest known (to me) version, which is
        OK is -
        INFOZIP
        zip     2.1      86092b 05/07/96
        unzip   5.2b    101546b 05/07/96
        These are in the archive INZIP005.zip (287188b, 09/07/96)

NOTE   Empty (sub)directories will still generate warning messages with the
      'good' zip - this is as it should be - . You may safely ignore such
      messages as - 'Name not matched' or 'Nothing to do' as long as they
      relate to empty directories.


DETAILED USAGE

   FULL - When selected ('hit' or 'do') ZipBack will request a source directory
   to backup using menu-select. This can be a device (eg Win1_) or a directory
   (eg Win1_Myfiles_)
   Next a destination directory is requested.
   This can be just a device (eg Win1_) or a subdirectory (eg Win1_Bak_).
   The name of the output (_zip) file is '@' followed by a letter (or 2
   letters for a network device) derived from the device name followed by
   the device number (1 to 8). This is followed by either 'ROOT' or the
   subdirectory name. This information is used to (optionaly) restore files
   to their original locations - please DO NOT RENAME THE BACKUP FILES,
   allthough you CAN move them into a REAL (hard) sub-directory later if you
   wish. (See restore for why you may want to do this.)

   UPDATE - Much like full but adds new files and updates existing ones if
   required. If the zip file to update is not found does a full backup.

   RESTORE - Restores files to any location. At its simplest restores all files
   in a (sub)directory to the original location (assuming WIN_DRIVE allocations
   remain constant!). Requests source directory and asks if all backups in that
   directory should be restored. If you answer 'N' you can select a specific
   zip file to restore from. You should NOT re-direct screen output when
   restoring unless you are sure the destination directorey(ies) do not contain
   any of the files in the backup zip.
   It is quite easy to restore particular suites of programs containing many
   files spread over multiple subdirectories (eg ProWesS, Qfax, Ghostscript
   etc.). All you need to do is move the relevant backup zips into a real
   subdirectory and restore from there. I've found this a very useful feature
   when a new update fails to work - I can simply restore all the original
   files in a few minutes this way. Be sure not to change the filename except
   by adding the new subdirectory name at the front.

   TEST - allows the testing (verifying) of all backup files in directories.
   This is where re-direction to file is probably most useful, otherwise
   you need to sit and watch the screen.

   REQUIREMENTS - Zipback uses the following extensions;-
                        Qlib runtimes
                        Qlib ext    (for pipes and error trapping)
                        QPTR        (for the basic pointer interface)
                        Hot_rext
                        Menu-Select (for directory/file selection and sleep)

   Two versions of ZipBack are in the archive -
   ZipBack_obj - NO extensions linked in - they must be resident (lrespr'ed)
   into your system first.
   ZipBackALLEXT_obj - version with Qlib_ext and QPTR linked in. I cannot
   belive anyone with multiple hard drives won't have the rest!

   You will also need the InfoZip zip and unzip files. These are
   available from most BBSs and I am willing to supply these free to anyone
   sending an SAE and disk to

   Mr G. Underwood,
   28, Sime St.
   Worksop
   Notts.
   S80 1TD

   Graham Underwood.
   100121.3564@compuserve.com
   2:251/126.10
